File: changelog

package info (click to toggle)
elki 0.7.1-6
  • links: PTS
  • area: main
  • in suites: buster, sid
  • size: 24,576 kB
  • ctags: 27,568
  • sloc: java: 184,193; xml: 4,242; python: 128; sh: 10; makefile: 9
file content (223 lines) | stat: -rw-r--r-- 8,310 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
elki (0.7.1-6) unstable; urgency=low

  * Next attempt to workaround for Batik broken dependencies.
    The bug is in Batik; but it auses a FTBFS in elki in offline mode.
    Because of this, we exclude the following maven dependencies:
    - Rhino (ELKI does not use JavaScript in SVG)
    - Jython (ELKI does not use Python scripting in SVG either)
    - batik-svgrasterizer doesn't exist in the Batik package currently
  * Update versioned depend to libbatik-java 1.9, as we now use 1.9 in the pom
  * Update to debian policy 4.1.1:
    switch priority extra to optional
  * Update upstream homepage

 -- Erich Schubert <erich@debian.org>  Mon, 02 Oct 2017 16:29:24 +0200

elki (0.7.1-5) unstable; urgency=low

  * Workaround for batik bug: mask org.mozilla:rhino dependency of Batik.

 -- Erich Schubert <erich@debian.org>  Sat, 30 Sep 2017 19:41:29 +0200

elki (0.7.1-4) unstable; urgency=medium

  * Refresh Maven build dependencies. Closes: #867084.
  * Work around a dependency bug in the current Debian batik packages.
  * Cherry-pick a clipping and a performance fix for latest Batik.

 -- Erich Schubert <erich@debian.org>  Fri, 29 Sep 2017 17:04:36 +0200

elki (0.7.1-3) unstable; urgency=medium

  * Temporarily disable test suite. Some tests seem to be time-dependent
    and are known not to work everywhere. Closes: #843038.

 -- Erich Schubert <erich@debian.org>  Thu, 09 Mar 2017 23:57:00 +0100

elki (0.7.1-2) unstable; urgency=low

  * Cherry-pick bugfix for single-core systems (Closes: #834739)

 -- Erich Schubert <erich@debian.org>  Sun, 25 Sep 2016 15:27:58 +0200

elki (0.7.1-1) unstable; urgency=low

  * New upstream release (mostly bug fixes)
  * Drop patches included upstream
  * Build-dep on default-jdk instead of openjdk7-jdk (Closes: #814163)

 -- Erich Schubert <erich@debian.org>  Sat, 13 Feb 2016 17:05:40 +0100

elki (0.7.0-6) unstable; urgency=medium

  * Add missing libsvm3-java dependency (Thanks, Tomas Barton)
    Unfortunately, debian-maven-helper does not automatically add this,
    because the libsvm3-java package does not include a pom.
  * Use find_jars to locate batik, which resolves problems with batik 1.7
    (When using the /usr/bin/elki commands - please upgrade to batik 1.8
     or adjust your classpath if you see the error
     NoClassDefFoundError: org/apache/batik/dom/anim/AnimationTarget)
  * Require libbatik-java >= 1.8 for building, 1.7 lacks pom data.
  * Remove execute bit from all files in source jars, not just .java files.
  * Add fop (libfop-java) to the classpath, for eps, pdf, ps export.
  * Suggest libfop-java instead of making it an "alternative" to batik

 -- Erich Schubert <erich@debian.org>  Fri, 08 Jan 2016 18:02:39 +0100

elki (0.7.0-5) unstable; urgency=low

  * Cherry-pick important bug fixes from upstream.
  * Cherry-pick upstream patch for repeatable documentation generation.
  * Remove executable bit from .java files.

 -- Erich Schubert <erich@debian.org>  Thu, 07 Jan 2016 17:10:34 +0100

elki (0.7.0-4) unstable; urgency=low

  * Always prefer OpenJDK-7 for reproducible builds.
  * Avoid UTF-8 problems with JavaDoc failing reproducible build
    (caused by pom.xml rewriting via maven-debian-helper)

 -- Erich Schubert <erich@debian.org>  Wed, 06 Jan 2016 14:16:52 +0100

elki (0.7.0-3) unstable; urgency=low

  * Fix exclusion of time-oriented test (unfortunately CPU dependent).
    Solves FTBFS from reproducibility project.

 -- Erich Schubert <erich@debian.org>  Tue, 05 Jan 2016 17:36:56 +0100

elki (0.7.0-2) unstable; urgency=low

  * Use maven-debian-helper for Maven 3 to manage Maven dependencies,
    which is now available in testing, too.
    (Closes: #808856 - FTBFS because of changed Maven module versions)
  * Tighten down build-dependencies on Maven plugins (unfortunately, this
    appears to be necessary, even with maven-debian-helper)
  * Drop incorrect VCS links
  * Improve dependency information in jars
  * Improve dependencies on JRE/JDKs (Closes: #809778)

 -- Erich Schubert <erich@debian.org>  Mon, 04 Jan 2016 01:11:11 +0100

elki (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Cherry-pick patch to tolerate empty packages.
  * Built using new Batik (Closes: #799990)
  * Redo build scripting, since upstream is now using Maven
    Hackish, but I could not figure out maven-debian-helper, and want Maven 3.
    maven-debian-helper for Maven 3 is currently only available in experimental.
  * Install Maven metadata into local repository
  * Drop "menu" file, keep only .desktop files (per CTTE #741573)
  * Improve wrapper script to load addons
  * Split into elki, and elki-dev (source, javadoc + tutorial "addon")
  * Update to policy 3.9.6.0 (no changes)

 -- Erich Schubert <erich@debian.org>  Sat, 28 Nov 2015 22:57:47 +0100

elki (0.6.5~20141030-1) unstable; urgency=medium

  * New upstream beta release
  * Urgency medium: 0.6.0 suffers from a performance issue with duplicates.
  * Repackaged tarball from .jar to .tar.bz2
  * Add dependency on libsvm3-java
  * Enable line numbers for debugging (ant debuglevel)

 -- Erich Schubert <erich@debian.org>  Fri, 31 Oct 2014 03:43:51 +0100

elki (0.6.0-2) unstable; urgency=low

  * Drop OpenJDK-6 from dependencies: ELKI 0.6 needs OpenJDK7+

 -- Erich Schubert <erich@debian.org>  Thu, 23 Jan 2014 20:07:04 +0100

elki (0.6.0-1) unstable; urgency=low

  * New upstream final.
  * 3DPC extension is not included, but may be uploaded as a separate
    package when there is actual need (it is a demo software, not meant
    for use outside of research, so just get the source code!)
  * Upgrade to policy 3.9.5.0 (no changes)

 -- Erich Schubert <erich@debian.org>  Wed, 22 Jan 2014 16:23:20 +0100

elki (0.6.0~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * 3DPC extension is not yet included.

 -- Erich Schubert <erich@debian.org>  Tue, 29 Oct 2013 20:02:37 +0100

elki (0.5.5-2) unstable; urgency=low

  * Fix package name in suggests: s/openjdk7-jdk/openjdk-7-jdk/
  * Make "elki" command use ELKILauncher instead of the MiniGUI
    (then "elki <appname> <params>" works)
  * Prefer Java 7. This is the last version that will support Java 6.
  * Improve debian/rules clean

 -- Erich Schubert <erich@debian.org>  Thu, 20 Dec 2012 21:28:46 +0100

elki (0.5.5-1) unstable; urgency=low

  * New upstream release: 0.5.5 interim release.

 -- Erich Schubert <erich@debian.org>  Fri, 14 Dec 2012 20:45:15 +0100

elki (0.5.0-1) unstable; urgency=low

  * New upstream release: 0.5.0 final.

 -- Erich Schubert <erich@debian.org>  Sat, 30 Jun 2012 00:55:33 +0200

elki (0.5.0~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * Needs GNU Trove 3, in NEW.
  * Build with OpenJDK7, as OpenJDK6 complains.

 -- Erich Schubert <erich@debian.org>  Sat, 02 Jun 2012 17:47:03 +0200

elki (0.5.0~beta1-1) unstable; urgency=low

  * New upstream beta release.
  * Needs GNU Trove 3, not yet in Debian (private package)
  * Build with OpenJDK7, as OpenJDK6 complains.

 -- Erich Schubert <erich@debian.org>  Thu, 03 May 2012 06:41:22 +0200

elki (0.4.1-1) unstable; urgency=low

  * New upstream bug fix release (a couple of minor fixes)
  * Specify encoding UTF-8 for javac (Closes: #642659)

 -- Erich Schubert <erich@debian.org>  Mon, 30 Jan 2012 21:01:31 +0100

elki (0.4.0-1) unstable; urgency=low

  * New upstream release. (0.4.0 final)
  * Try to make lintian happier with the DEP-5 copyright format
  * Fixes a bug where various methods would require a classlabel that
    previously would fall-back to any kind of label available.

 -- Erich Schubert <erich@debian.org>  Sat, 24 Sep 2011 12:24:37 +0200

elki (0.4.0~beta2-1) unstable; urgency=low

  * New upstream release.
  * Build with OpenJDK 7, which just entered unstable.
  * Move to main, since we can now build with free software only.
  * Drop Vcs-Browser used incorrectly (pointing to upstream VCS, not
    Debian packaging) (Closes: #638516)

 -- Erich Schubert <erich@debian.org>  Sat, 10 Sep 2011 23:13:04 +0200

elki (0.4.0~beta1-1) unstable; urgency=low

  * Initial release. (Closes: #638230)
  * Build with Sun 6 JDK for now - OpenJDK 6 did not work.
  * Add menu, manpages, desktop icon
  * Install source jar to /usr/share/doc/elki

 -- Erich Schubert <erich@debian.org>  Wed, 17 Aug 2011 21:40:59 +0200